Update a time entry

This endpoint can be used to update a time entry using its ID. To ensure that the total time for all the time entries added for that date does not exceed 24 hours, the fields date and minutes are mandatory. The properties activityName, notes, billable and minutes can be updated using this endPoint. This API returns the updated time entry object.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required
≥ 0
Defaults to 1

The unique, system-generated identifier, which can be used to identify the time entry globally.

Query Params
includeFields
array of strings

This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.

includeFields
boolean

This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

Body Params
int32
1 to 1440

Duration of the time entry in minutes

string

Name of the adhoc activity being performed

string

Notes for the time entry

category
object

Category associated with the time entry

fields
array of objects

The custom fields can be set during the time-entry creation with the help of fields. The fieldValue can be either a string or a number or an array and it has to comply with the type of the field. Refer examples to know how to assign fieldValue based on their field_type.

fields
boolean
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json